%bcond_with check

Summary:        Bash tab completion for argparse
Name:           python-argcomplete
Version:        3.1.2
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://github.com/kislyuk/argcomplete
Source0:        https://github.com/kislyuk/argcomplete/archive/refs/tags/v%{version}.tar.gz

# https://github.com/kislyuk/argcomplete/commit/2f6cd74c1411805a5fec4e39567c30d03741dd81
Patch0001:      0001-Revert-setup.py-pyproject.toml-migration-start-427.patch

BuildRequires:  python3-devel python3-setuptools

%if %{with check}
BuildRequires:  tcsh fish python3-pexpect
BuildRequires:  /usr/bin/pip
%endif

BuildArch:      noarch

%description
Argcomplete provides easy, extensible command line tab completion
of arguments for your Python script.

%package -n     python3-argcomplete
Summary:        Bash tab completion for argparse

%description -n python3-argcomplete
Argcomplete provides easy, extensible command line tab completion
of arguments for your Python script.

%prep
%autosetup -p1 -n argcomplete-%{version}
sed -i -r -e '/tests_require = /s/"(coverage|flake8|wheel)"[, ]*//g' setup.py
sed -i -e "1s|#!.*python.*|#!%{__python3}|" test/prog scripts/*
sed -i -e "s|python |python3 |" test/test.py

%build
%py3_build

%install
%py3_install
install -p -m0644 %{buildroot}%{python3_sitelib}/argcomplete/bash_completion.d/_%{name} -D %{buildroot}%{_sysconfdir}/bash_completion.d/_%{name}

%if %{with check}
%check
echo "set enable-bracketed-paste off" > .inputrc
export INPUTRC=$PWD/.inputrc

%{python3} setup.py test
%endif

%files -n python3-argcomplete
%license LICENSE.rst
%doc README.rst
%{python3_sitelib}/argcomplete-*.egg-info/
%{python3_sitelib}/argcomplete/
%{_bindir}/activate-global-python-argcomplete
%{_bindir}/python-argcomplete-check-easy-install-script
%{_bindir}/register-python-argcomplete
%{_sysconfdir}/bash_completion.d/_%{name}

%changelog
* Mon Sep 25 2023 Miaojun Dong <zoedong@tencent.com> - 3.1.2-2
- Fix Provides python3dist(argcomplete) = 0

* Mon Sep 25 2023 Miaojun Dong <zoedong@tencent.com> - 3.1.2-1
- Bump version to 3.1.2

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Sep 14 2022 Shuo Wang <abushwang@tencent.com> - 2.0.0-1
- initial build
